import { OnChanges, SimpleChanges } from '@angular/core';
import { AbstractControl, Validator } from '@angular/forms';
export declare abstract class ComparisonDirective implements Validator, OnChanges {
    private key;
    private ctrl;
    constructor(key: string);
    validate(control: AbstractControl): {
        [key: string]: any;
    } | null;
    ngOnChanges(changes: SimpleChanges): void;
    private createErrorObject();
    abstract validateCore(control: AbstractControl): boolean;
}
